Hi. I currently own a 9500 storm. It's original carrier is vodafone but it's already openline. Since I'm from the Philippines, I use Globe as my sim card.

Now here's the thing, my phone's current OS is v4.7.0. I accidentally updated my Blackberry Messenger app to the latest version, which is only compatible to OS v 5.0. now, i can't use my BBM can anybody pls help me??? i wanna upgrade my OS or downgrade my BBM. Please and thanks!